@import "variables";
@import "functions";
@import "mixins";

.intro {
  min-height: 100vh;
  background-image: url(../images/intro.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  @include flex-row(center);
  justify-content: center;
  position: relative;

  > img {
    width: 70%;
    height: auto;
    padding: 25px 0 75px 0;
  }

  .continue {
    position: absolute;
    bottom: 0px;
    left: 50%;
    transform: translateX(-50%);
    @include flex-col(center);
    text-decoration: none;

    > p {
      color: text-color("primary");
      text-transform: uppercase;
      line-height: 20px;
      margin-bottom: 5px;
      transition: $transition;
    }

    > img {
      width: 20px;
      height: 20px;
      margin-bottom: 5px;
    }
  }

  .continue:hover {
    padding-top: 5px;

    > p {
      margin-bottom: 0px;
    }
  }
}

.heading > h1 {
  text-transform: uppercase;
  text-align: center;
  padding: 50px 0;
}

.side-block {
  position: relative;
  min-height: 350px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-bottom: 50px;

  .img-wrp {
    height: 350px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);

    &.left {
      left: 0;
    }

    &.right {
      right: 0;
    }
  }

  @include bp("md") {
    .img-wrp {
      position: static;
      transform: none;
    }

    .content {
      margin-bottom: 25px;
    }
  }

  .content {

    &.right {
      margin-left: auto;
    }

    > p {
      text-align: justify;
    }
  }
}

